Valorant API Unofficial docs
API Reference Authentication Endpoints
GET

Riot Client Config

Gets the config file used by the Riot Client. This includes a ton of info, most of it undocumented.

Server clientconfig.rpg.riotgames.com Auth Bearer + Entitlements
GET https://clientconfig.rpg.riotgames.com/api/v1/config/player?app=Riot%20Client
Try this request in the browser with your own values

Headers

X-Riot-Entitlements-JWT string required
Value {entitlement token}— From the Entitlements Token or Entitlement endpoint
Authorization string required
Value Bearer {auth token}— From the Entitlements Token endpoint or Riot auth

Other variables

entitlement token From the Entitlements Token or Entitlement endpoint.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely using Riot auth and the Entitlement endpoint
Entitlements Token
auth token From the Entitlements Token endpoint or Riot auth.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Authentication

Response

chat.affinities record<string, string>

Mapping of affinity ID to chat server host

chat.affinity_domains record<string, string>

Mapping of affinity ID to affinity domain

chat.port number

Chat server port